/*
  Midnight, a C++ midi library to load and play midi files.
  Copyright (C) 1999 Rodrigo Reyes, reyes@chez.com

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "SynthOSSDevice.h"

#ifndef _AWE_DEVICE_H_
#define _AWE_DEVICE_H_

//
// This class implements the AWE internal synth driver for OSS.
// There are very few changes from the parent SynthOSSDevice.
///
class AweDevice : public SynthOSSDevice
{
 public:
  ///
  AweDevice(char *devicename, int devnb) ;
  ///
  virtual void sendControlChange(int channel, int data1, int data2);
  
}///
;

#endif;
