/*
  Midnight, a C++ midi library to load and play midi files.
  Copyright (C) 1999 Rodrigo Reyes, reyes@chez.com

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "AWEDevice.h"

AweDevice::AweDevice(char *devicename, int devnb) : SynthOSSDevice(devicename, devnb)
{
  AWE_SET_CHANNEL_MODE(_activeDevice, 1);
  AWE_DRUM_CHANNELS(_activeDevice, 0x200);
  AWE_TERMINATE_ALL(_activeDevice);
  AWE_INITIALIZE_CHIP(_seq, _activeDevice);
  SEQ_DUMPBUF();
}
  
void AweDevice::sendControlChange(int channel, int data1, int data2)
{
  SEQ_CONTROL(_activeDevice, channel, data1, data2);
}
