#include <string>

#ifndef __STRINGTOKENIZER_H_
#define __STRINGTOKENIZER_H_

class StringTokenizer
{
private:
  string m_str;
  string m_next;
  unsigned int m_pos;
  bool   m_hasNext;
  string m_separator;

  void setNext();

public:

  StringTokenizer(const string &str, const string &separators);
  StringTokenizer(const string &str);
  StringTokenizer(char *str, char *separators);
  StringTokenizer(char *str);
  bool hasNext() const;
  string next();
};

#endif
